Merchant Details
curl --request GET \
--url https://nini.monieswitch.com/merchant/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/merchant/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/merchant/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"id": "2fdf8d1f-4b5d-4a06-bcba-69532c95d4f1",
"logo": null,
"city": "Ikeja",
"email": "[email protected]",
"state": "Lagos",
"status": "ACTIVE",
"address": "No 20, Adewale Avenue, Ikeja",
"country": "NIGERIA",
"postalCode": null,
"consentForm": null,
"phoneNumber": "2348173849584",
"ownerDetails": null,
"businessName": "Olanrewaju Adebayo LTD",
"businessType": "REGISTERED",
"cacDocuments": [
"https://d1hhqx6q67lhms.cloudfront.net/qgxOGs314zozvG3cxEN585tJc_xiomi-phone.jpg"
],
"initialStatus": "NEW",
"autoSettlement": false,
"isRefundEnabled": true,
"businessCategory": "Agriculture",
"sandboxWebhookURL": "https://webhook.site/c3c4b428-ab8a-4011-a414-00b7b3ea665d",
"registrationNumber": "RC3965011",
"directorDateOfBirth": "1980-09-02",
"productionWebhookURL": "https://webhook.site/c3c4b428-ab8a-4011-a414-00b7b3ea665d",
"isMakerCheckerEnabled": false,
"isConsentFormApproved": false,
"autoInstantSettlement": false,
"agencyNetworkConsentForm": null,
"reviewStatus": "ACCEPTED",
"isAgencyNetworkConsentFormApproved": false,
"enableSameBVNOrPhoneNumberForWalletCreation": false,
"createdAt": "2025-09-04T09:45:28.173Z",
"owner": {
"id": "31338b10-cad5-4e66-b2dc-b88b64f0fdb4",
"email": "[email protected]",
"firstName": "Olanrewaju",
"lastName": "Adebayo",
"phoneNumber": "2348173849584"
},
"bvn": "87******778",
"kycCompletedFields": [
"BASIC_DETAILS",
"BUSINESS_DETAILS",
"BUSINESS_DOCUMENTS",
"DIRECTOR_DETAILS",
"SETTLEMENT_ACCOUNT"
],
"wallet": {
"id": "c44be785-d5db-437c-9ab8-6a43db86608e",
"bankName": "Xpresswallet",
"accountName": "Olanrewaju Adebayo LTD",
"accountNumber": "4460872858",
"bookedBalance": 8490,
"availableBalance": 8490
},
"merchantEnabledServices": [
{
"id": "60e399de-fdbf-4f30-816e-764d0a11145b",
"name": "Payouts",
"key": "PAYOUT",
"description": "With our comprehensive suite of tools to facilitate seamless fund distribution"
},
{
"id": "2cdfe3b3-74a0-457c-beea-9d4645b3fa66",
"name": "Branch",
"key": "BRANCH",
"description": "Designed for business with outlets to collect money using our dedicated account numbers."
},
{
"id": "e4d4c74e-6366-47ce-8d75-f7daba804978",
"name": "Collections",
"key": "COLLECTION",
"description": "Our collections entails different products for financial transactions and managing financial assets more effectively."
},
{
"id": "6913bf44-e464-4d94-8d5a-152ac8fce188",
"name": "Child Account",
"key": "CHILD_ACCOUNT",
"description": "Facilitate seamless multiple wallet management for different purposes."
},
{
"id": "a97948db-a8b5-4a77-a725-59f6ef912d5e",
"name": "Card Service",
"key": "CARD",
"description": "Grow your business faster by issuing virtual cards for business expenses."
}
]
}
}Merchant
Merchant Details
GET
/
merchant
/
info
Merchant Details
⌘I